{---------------------------------------------------------------------
#
#	Apple Macintosh Developer Technical Support
#
#	MultiFinder-Aware Simple TextEdit Sample Application
#
#	OOPTESample
#
#	UTESample.p		-	Pascal Source
#
#	Copyright  1988, 1989 Apple Computer, Inc.
#	All rights reserved.
#
#	Version:		
#					1.10					10/89
#					1.00					04/89
#
#	Components:     
#					BuildOOPTESample		October 1, 1989
#					MOOPTESample.p			October 1, 1989
#					OOPTESample.make		October 1, 1989
#					TECommon.h				October 1, 1989
#					TESampleGlue.a			October 1, 1989
#					TESample.r				October 1, 1989
#					UApplication.p			October 1, 1989
#					UApplication.inc1.p		October 1, 1989
#					UDocument.p				October 1, 1989
#					UDocument.inc1.p		October 1, 1989
#					UTEDocument.p			October 1, 1989
#					UTEDocument.inc1.p		October 1, 1989
#					UTESample.p				October 1, 1989
#					UTESample.inc1.p		October 1, 1989
#
---------------------------------------------------------------------}

UNIT UTESample;

INTERFACE

USES
	Types, QuickDraw, Events, OSUtils, ToolUtils, Controls, Windows,
	TextEdit, Dialogs, SegLoad, Fonts, Traps, Desk, Menus, Memory, Scrap, 
	ObjIntf, UDocument, UApplication, UTEDocument;

TYPE
	TTESample = OBJECT(TApplication)
	
		{ Initialize our application and instance variables }
		PROCEDURE TTESample.ITESample;
		
		{ Routines from TApplication we are overriding }
		PROCEDURE TTESample.DoIdle; OVERRIDE;
		PROCEDURE TTESample.AdjustMenus; OVERRIDE;
		PROCEDURE TTESample.AdjustCursor; OVERRIDE;
		PROCEDURE TTESample.DoMenuCommand(menuID,menuItem: integer); OVERRIDE;
		FUNCTION TTESample.HeapNeeded: Longint; OVERRIDE;
		FUNCTION TTESample.SleepVal: LongInt; OVERRIDE;
		
		{ Routines for our own devious purposes }
		PROCEDURE TTESample.DoNew;
		PROCEDURE TTESample.Terminate;
	END;
	
VAR
	gTheApplication:	TTESample;

IMPLEMENTATION

{$I UTESample.inc1.p}

END.